View Issue Details

IDProjectCategoryView StatusLast Update
0023117LazarusIDEpublic2013-03-09 09:05
ReporterHSAssigned ToVincent Snijders 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformLazarus 1.0.2OSWin 7 32OS Version
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0023117: Crash after execute OpenDialog
DescriptionPragram was terminated (crash) after executing OpenDialog
After push Open or Cancel Button program was terminated (crash).
Steps To Reproduceif OpenDialog1.Execute the begin
  ShowMessage(OpenDialog1.FileName);
end;
TagsNo tags attached.
Fixed in Revision
LazTarget-
Widgetset
Attached Files

Relationships

related to 0015188 closedJuha Manninen Open / Save dialogs crashes ide 
related to 0021082 resolvedPaul Ishenin SIGSEGV when right-clicking item in TOpenDialog 
related to 0012742 resolvedVincent Snijders Lazarus on win64 ide-crash on opendialog showing the lazarus-source directory 

Activities

Bart Broersma

2012-10-14 17:58

developer   ~0063148

Hmm, 0015188 is GTK2/Linux, so probably unrelated to this one?
0012742 is specifically about 64-bit compiled program on 64-bit Windows, OP is using 32-bit Windows.

Vincent Snijders

2013-03-09 09:05

manager   ~0066145

Fixed in fpc 2.7.1

Issue History

Date Modified Username Field Change
2012-10-12 20:21 HS New Issue
2012-10-12 20:55 Jonas Maebe Project FPC => Lazarus
2012-10-14 00:56 Juha Manninen Relationship added related to 0015188
2012-10-14 00:58 Juha Manninen Relationship added related to 0021082
2012-10-14 01:01 Juha Manninen Relationship added related to 0012742
2012-10-14 17:58 Bart Broersma Note Added: 0063148
2013-03-09 09:05 Vincent Snijders LazTarget => -
2013-03-09 09:05 Vincent Snijders Note Added: 0066145
2013-03-09 09:05 Vincent Snijders Status new => resolved
2013-03-09 09:05 Vincent Snijders Resolution open => fixed
2013-03-09 09:05 Vincent Snijders Assigned To => Vincent Snijders